libetonyek::KEY2TableParser Class Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::KEY2TableParser Class Reference

`#include <KEY2TableParser.h>`

Inheritance diagram for libetonyek::KEY2TableParser:

## Public Member Functions
| KEY2TableParser (KEY2Parser &parser)
void | parse (const KEYXMLReader &reader)
Public Member Functions inherited from libetonyek::KEY2ParserUtils
virtual | ~KEY2ParserUtils ()

## Private Member Functions
void | parseTabularModel (const KEYXMLReader &reader)
void | parseGrid (const KEYXMLReader &reader)
void | parseColumns (const KEYXMLReader &reader)
void | parseGridColumn (const KEYXMLReader &reader)
void | parseRows (const KEYXMLReader &reader)
void | parseGridRow (const KEYXMLReader &reader)
void | parseDatasource (const KEYXMLReader &reader)
void | parseD (const KEYXMLReader &reader)
void | parseDu (const KEYXMLReader &reader)
void | parseF (const KEYXMLReader &reader)
void | parseG (const KEYXMLReader &reader)
void | parseN (const KEYXMLReader &reader)
void | parseS (const KEYXMLReader &reader)
void | parseT (const KEYXMLReader &reader)
void | parseCt (const KEYXMLReader &reader)
void | parseSo (const KEYXMLReader &reader)
void | parseCommonCellAttribute (const KEYXMLReader::AttributeIterator &attr)
void | emitCell (bool covered=false)
KEYCollector * | getCollector ()

## Private Attributes
KEY2Parser & | m_parser
KEYTable::ColumnSizes_t | m_columnSizes
KEYTable::RowSizes_t | m_rowSizes
unsigned | m_column
unsigned | m_row
boost::optional< unsigned > | m_columnSpan
boost::optional< unsigned > | m_rowSpan
boost::optional< unsigned > | m_cellMove
boost::optional< std::string > | m_content

## Additional Inherited Members
Static Public Member Functions inherited from libetonyek::KEY2ParserUtils
static boost::optional< ID_t > | readID (const KEYXMLReader &reader)
| Read sfa:ID attribute of an element. More...
static ID_t | readRef (const KEYXMLReader &reader)
| Read a reference element. More...
static std::pair< boost::optional< double >, boost::optional< double > > | readPoint (const KEYXMLReader &reader)
| Read sf:point element. More...
static KEYPosition | readPosition (const KEYXMLReader &reader)
| Read sf:position element. More...
static KEYSize | readSize (const KEYXMLReader &reader)
| Read sf:size element. More...
static bool | bool_cast (const char *value)
| Convert string value to bool. More...
static double | double_cast (const char *value)
static int | int_cast (const char *value)
static double | deg2rad (double value)
Protected Member Functions inherited from libetonyek::KEY2ParserUtils
| KEY2ParserUtils ()

## Constructor & Destructor Documentation

libetonyek::KEY2TableParser::KEY2TableParser | ( | KEY2Parser & | parser | ) |
| explicit

## Member Function Documentation

void libetonyek::KEY2TableParser::emitCell | ( | bool | covered = `false` | ) |
| private

Referenced by parseD(), parseDu(), parseF(), parseG(), parseN(), parseS(), and parseT().

KEYCollector * libetonyek::KEY2TableParser::getCollector | ( |  | ) |
| private

Referenced by emitCell(), parse(), parseDatasource(), and parseT().

void libetonyek::KEY2TableParser::parse | ( | const KEYXMLReader & | reader | ) |

Referenced by libetonyek::KEY2Parser::parseDrawables().

void libetonyek::KEY2TableParser::parseColumns | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseGrid().

void libetonyek::KEY2TableParser::parseCommonCellAttribute | ( | const KEYXMLReader::AttributeIterator & | attr | ) |
| private

Referenced by parseD(), parseDu(), parseF(), parseG(), parseN(), and parseT().

void libetonyek::KEY2TableParser::parseCt | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseT().

void libetonyek::KEY2TableParser::parseD | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDatasource().

void libetonyek::KEY2TableParser::parseDatasource | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseGrid().

void libetonyek::KEY2TableParser::parseDu | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDatasource().

void libetonyek::KEY2TableParser::parseF | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDatasource().

void libetonyek::KEY2TableParser::parseG | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDatasource().

void libetonyek::KEY2TableParser::parseGrid | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseTabularModel().

void libetonyek::KEY2TableParser::parseGridColumn | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseColumns().

void libetonyek::KEY2TableParser::parseGridRow | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseRows().

void libetonyek::KEY2TableParser::parseN | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDatasource().

void libetonyek::KEY2TableParser::parseRows | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseGrid().

void libetonyek::KEY2TableParser::parseS | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDatasource().

void libetonyek::KEY2TableParser::parseSo | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseCt().

void libetonyek::KEY2TableParser::parseT | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parseDatasource().

void libetonyek::KEY2TableParser::parseTabularModel | ( | const KEYXMLReader & | reader | ) |
| private

Referenced by parse().

## Member Data Documentation

boost::optional<unsigned> libetonyek::KEY2TableParser::m_cellMove
| private

Referenced by emitCell(), parseCommonCellAttribute(), and parseS().

unsigned libetonyek::KEY2TableParser::m_column
| private

Referenced by emitCell().

KEYTable::ColumnSizes_t libetonyek::KEY2TableParser::m_columnSizes
| private

Referenced by emitCell(), parseColumns(), parseDatasource(), and parseGridColumn().

boost::optional<unsigned> libetonyek::KEY2TableParser::m_columnSpan
| private

Referenced by emitCell(), and parseCommonCellAttribute().

boost::optional<std::string> libetonyek::KEY2TableParser::m_content
| private

Referenced by emitCell(), parseCt(), and parseN().

KEY2Parser& libetonyek::KEY2TableParser::m_parser
| private

Referenced by getCollector(), parse(), and parseSo().

unsigned libetonyek::KEY2TableParser::m_row
| private

Referenced by emitCell().

KEYTable::RowSizes_t libetonyek::KEY2TableParser::m_rowSizes
| private

Referenced by emitCell(), parseDatasource(), parseGridRow(), and parseRows().

boost::optional<unsigned> libetonyek::KEY2TableParser::m_rowSpan
| private

Referenced by emitCell(), and parseCommonCellAttribute().

The documentation for this class was generated from the following files:

- KEY2TableParser.h
- KEY2TableParser.cpp